Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ajax
Class AjaxMuleMessageFactory

    java.lang.Object
      org.mule.transport.AbstractMuleMessageFactory
          org.mule.transport.ajax.AjaxMuleMessageFactory

All Implemented Interfaces:
  MuleMessageFactory

    public class AjaxMuleMessageFactory

extends AbstractMuleMessageFactory

A `MuleMessageFactory` implementation for JSON messages. The payload can either be a `Map` or a JSON encoded String.

If the payload is a `Map`, this message factory will recognise the following keys:

- data - the object to use a the payload, this can be a JSON encoded string. See `Bayeux.DATA_FIELD`
- replyTo - the return Ajax channel for this message. `AjaxConnector.REPLYTO_PARAM`

Field Summary
`protected IsJsonFilter` | `filter`

Fields inherited from class org.mule.transport.AbstractMuleMessageFactory
`muleContext`

Constructor Summary
`AjaxMuleMessageFactory(MuleContext context)`

Method Summary
`protected void` | `addProperties(DefaultMuleMessage muleMessage, Object transportMessage)`
`protected Object` | `extractPayload(Object transportMessage, String encoding)`
`protected Class<?>[]` | `getSupportedTransportMessageTypes()`

Methods inherited from class org.mule.transport.AbstractMuleMessageFactory
`addAttachments, create, create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    protected transient IsJsonFilter filter

Constructor Detail

### AjaxMuleMessageFactory

    public AjaxMuleMessageFactory(MuleContext context)

Method Detail

### getSupportedTransportMessageTypes

    protected Class<?>[] getSupportedTransportMessageTypes()

  Specified by:
    `getSupportedTransportMessageTypes` in class `AbstractMuleMessageFactory`

### extractPayload

    protected Object extractPayload(Object transportMessage,
                                    String encoding)
                             throws Exception

  Specified by:
    `extractPayload` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### addProperties

    protected void addProperties(DefaultMuleMessage muleMessage,
                                 Object transportMessage)
                          throws Exception

  Overrides:
    `addProperties` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.